# Client

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (3.0.0.0)

Represents a unique client using the application.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Client
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Client
```

{% endtab %}
{% endtabs %}

A browser instance is a single client, regardless of how many sessions are created by that client and how many browser tabs are open. Different browsers a represented as different clients.

## Properties

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Browsers

[ClientBrowser\[\]](https://docs.wisej.com/api/v3.0/wisej.web/general/application/wisej.core.clientbrowser): List of browser tabs (for the same browser) that are using the application at the client computer.

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)ID

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Unique client ID.

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)IPAddress

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): IP Address of the client computer.

### ![](https://2647619304-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHOivImCoV8KSJbQyp6QI%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)SessionCount

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns the number of sessions used by this client computer.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/general/application/wisej.core.client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
